# Class UpdateResponse<T>

Namespace
  adas_core.Domain.Models.Responses

Assembly
  adas-core.Domain.dll

    public record UpdateResponse<T> : IEquatable<UpdateResponse<T>>

#### Type Parameters

`T`

Inheritance
  object
  UpdateResponse<T>

Implements
  IEquatable<UpdateResponse<T>>

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### UpdateResponse(long, T?)

    public UpdateResponse(long Changes, T? Data)

#### Parameters

`Changes` long
`Data` T

## Properties

### Changes

    public long Changes { get; init; }

#### Property Value

long

### Data

    public T? Data { get; init; }

#### Property Value

T